### Method

# GLib MainContext is_owner

since: 2.10

#### Declaration [src]

    gboolean
    g_main_context_is_owner (
      GMainContext* context
    )

#### Description [src]

Determines whether this thread holds the (recursive) ownership of this `GMainContext`.

This is useful to know before waiting on another thread that may be blocking to get ownership of `context`.

Available since: 2.10

#### Parameters

`context`

  Type: `GMainContext`

  A main context (if `NULL`, the global-default main context will be used).

  The argument can be `NULL`.

#### Return value

Type: `gboolean`

True if current thread is owner of `context`, false otherwise.